Camel
  1. Camel
  2. CAMEL-1481

OsgiResolverUtil(OsgiPackageScanClassResolver) should use the regular classloader if the osgi bundle classloader can't find any class

    Details

    • Type: Improvement Improvement
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.6.0, 2.0-M1
    • Fix Version/s: 1.6.1, 2.0-M2
    • Component/s: osgi
    • Labels:
      None

      Description

      Since ServiceMix4 also supports the old JBI service unit and the classloader is not osgi bundle class loader,
      the OsgiResolverUtil should use the regular classloader if the osgi bundle classloader can't find any class.

        Issue Links

          Activity

          Show
          Willem Jiang added a comment - trunk http://svn.apache.org/viewvc?rev=757790&view=rev camel 1.x branch http://svn.apache.org/viewvc?rev=757863&view=rev
          Hide
          Claus Ibsen added a comment -

          Closing all 2.0M2 tickets

          Show
          Claus Ibsen added a comment - Closing all 2.0M2 tickets

            People

            • Assignee:
              Willem Jiang
              Reporter:
              Willem Jiang
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development